import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/**
 * An ActionListener that responds to timer events by incrementing a Counter
 * and printing the new value.
 * @since version 2, Oct 10
 */
public class CounterIncrementer implements ActionListener
{
    private Counter myCounter;
    /**
     * Constructor for objects of class CounterIncrementer
     * @param the Counter to increment
     */
    public CounterIncrementer(Counter myCounter)
    {
        // initialise instance variables
        this.myCounter = myCounter;
    }

    public void actionPerformed (ActionEvent e)
    {
        this.myCounter.current++;
        System.out.println ("Counter is " + this.myCounter.current);
    }
}
